@echo off
:: ドキュメントの生成手順
:: ①ソースファイルをsrcディレクトリのパッケージディレクトリにコピー
::   rid    -> jp/co/nri/rid
::   ridの次のファイルは jp/co/nri/へ移動
::         Rid.java
::         Ridual.java
::         RidualLog.java
::         RidualScript.java
::   ridの次のファイルは jp/co/nri/へ複写
::         package.html
::   fagot  -> jp/co/iti/fagot
::   swf    -> jp/co/iti/swf
::
:: ②パッケージが追加になった場合はパッケージ一覧に追加
:: ③コマンド実行
::
:: 【注意】
:: Proxy clientが入っていないとリンク先を直接見に行くのでエラーになる

:: ----- Set environment ------------------------------------------------------
cd ..
rem rmdir /s /q doc
mkdir doc

:: ----- Set environment ------------------------------------------------------
@echo off
set VIEW=-overview template\com\overview.html
set DIR=-d doc
set TITLE=-windowtitle "Ridual v0.1 API Specification"
set GROUP1=-group "Main Packages" "jp.co.nri:jp.co.nri.rid"
set GROUP2=-group "Tool Packages" "jp.co.nri.rid.*"
set GROUP3=-group "Common Packages" "jp.co.iti.*"

::set LINK1=-link http://java.sun.com/products/jdk/1.3/docs/api
set LINK1=-link http://java.sun.com/j2se/1.3/docs/api/
set LINK2=-link http://xml.apache.org/xerces-j/apiDocs
set LINK3=-link http://xml.apache.org/xalan-j/apidocs
set LINK4=-link http://www.mozilla.org/rhino/apidocs

set HEADER=-header "Ridual API"
set ENCODING=-charset x-sjis
set CPATH=-classpath classes;c:\work\R3\lib\xerces.jar;c:\work\R3\lib\xalan.jar;c:\work\R3\lib\js.jar
set SRC=-sourcepath src jp.co.nri jp.co.nri.rid jp.co.nri.rid.action jp.co.nri.rid.analyzer jp.co.nri.rid.cleanup jp.co.nri.rid.doc  jp.co.nri.rid.environment jp.co.nri.rid.error jp.co.nri.rid.export jp.co.nri.rid.generator jp.co.nri.rid.gob jp.co.nri.rid.importer jp.co.nri.rid.mapper jp.co.nri.rid.o3w jp.co.nri.rid.search jp.co.nri.rid.snapshot jp.co.nri.rid.synchronizer jp.co.nri.rid.table jp.co.nri.rid.table.comparator jp.co.nri.rid.table.editor jp.co.nri.rid.table.editor.filter jp.co.nri.rid.web jp.co.nri.rid.xml jp.co.iti.fagot jp.co.iti.fagot.action jp.co.iti.fagot.doc jp.co.iti.fagot.fob jp.co.iti.fagot.fob.xml jp.co.iti.fagot.geom jp.co.iti.fagot.gob jp.co.iti.fagot.ui jp.co.iti.fagot.util jp.co.iti.fagot.xml jp.co.iti.swf

set CMD=javadoc %VIEW% %HEADER% %ENCODING% %DIR% %TITLE% %GROUP1% %GROUP2% %GROUP3% %LINK1% %LINK2% %LINK3% %LINK4% %CPATH% %SRC%
echo %CMD%
%CMD%
cd src
pause
